cascading.operation.regex

## Class RegexGenerator

- java.lang.Object
- - cascading.operation.BaseOperation<C>
  - - cascading.operation.regex.RegexOperation<Pair<java.util.regex.Matcher,Tuple>>
    - - cascading.operation.regex.RegexGenerator

All Implemented Interfaces:
  DeclaresResults, Function<Pair<java.util.regex.Matcher,Tuple>>, Operation<Pair<java.util.regex.Matcher,Tuple>>, Traceable, java.io.Serializable

    public class RegexGenerator
    extends RegexOperation<Pair<java.util.regex.Matcher,Tuple>>
    implements Function<Pair<java.util.regex.Matcher,Tuple>>

Class RegexGenerator will emit a new Tuple for every matched regex group.

Note a `null` valued argument passed to the parser will be converted to an empty string (`""`) before the regex is applied.

Any Object value will be coerced to a String type if type information is provided. See the `CoercibleType` interface to control how custom Object types are converted to String values.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cascading.operation.regex.RegexOperation

`patternString`

### Fields inherited from class cascading.operation.BaseOperation

`fieldDeclaration, numArgs, trace`

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Constructor Summary

Constructors
Constructor and Description
`RegexGenerator(Fields fieldDeclaration, java.lang.String patternString)` Constructor RegexGenerator creates a new RegexGenerator instance.
`RegexGenerator(java.lang.String patternString)` Constructor RegexGenerator creates a new RegexGenerator instance.

### Method Summary

Methods
`void` `operate(FlowProcess flowProcess, FunctionCall<Pair<java.util.regex.Matcher,Tuple>> functionCall)` Method operate provides the implementation of this Function.
`void` `prepare(FlowProcess flowProcess, OperationCall<Pair<java.util.regex.Matcher,Tuple>> operationCall)` Method prepare does nothing, and may safely be overridden.

### Methods inherited from class cascading.operation.regex.RegexOperation

`equals, getPattern, getPatternString, hashCode`

### Methods inherited from class cascading.operation.BaseOperation

`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface cascading.operation.Operation

`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

### Constructor Detail

#### RegexGenerator

    @ConstructorProperties(value="patternString")
    public RegexGenerator(java.lang.String patternString)

Constructor RegexGenerator creates a new RegexGenerator instance.

Parameters:
  `patternString` - of type String

#### RegexGenerator

    @ConstructorProperties(value={"fieldDeclaration","patternString"})
    public RegexGenerator(Fields fieldDeclaration,
                                        java.lang.String patternString)

Constructor RegexGenerator creates a new RegexGenerator instance.

Parameters:
  `fieldDeclaration` - of type Fields
  `patternString` - of type String

### Method Detail

#### prepare

    public void prepare(FlowProcess flowProcess,
               OperationCall<Pair<java.util.regex.Matcher,Tuple>> operationCall)

Description copied from class: `BaseOperation`
Method prepare does nothing, and may safely be overridden.

Specified by:
  `prepare` in interface `Operation<Pair<java.util.regex.Matcher,Tuple>>`
Overrides:
  `prepare` in class `BaseOperation<Pair<java.util.regex.Matcher,Tuple>>`

#### operate

    public void operate(FlowProcess flowProcess,
               FunctionCall<Pair<java.util.regex.Matcher,Tuple>> functionCall)

Description copied from interface: `Function`
Method operate provides the implementation of this Function.

Specified by:
  `operate` in interface `Function<Pair<java.util.regex.Matcher,Tuple>>`
Parameters:
  `flowProcess` - of type FlowProcess
  `functionCall` - of type FunctionCall